export default function useConfirm(props?: {}): {
    confirmHolder: import("react/jsx-runtime").JSX.Element;
    confirmApi: {
        open: import('./types').OpenConfirm;
        close: import('./types').CloseConfirm;
        update: import('./types').UpdateConfirm;
    };
};
